javax.persistence.spi

## Class PersistenceProviderResolverHolder

- java.lang.Object
- - javax.persistence.spi.PersistenceProviderResolverHolder

    public class PersistenceProviderResolverHolder
    extends Object

Holds the global `PersistenceProviderResolver` instance. If no `PersistenceProviderResolver` is set by the environment, the default `PersistenceProviderResolver` is used. Implementations must be thread-safe.

Since:
  Java Persistence 2.0

### Constructor Summary

Constructors
Constructor and Description
`PersistenceProviderResolverHolder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PersistenceProviderResolver` `getPersistenceProviderResolver()` Returns the current persistence provider resolver.
`static void` `setPersistenceProviderResolver(PersistenceProviderResolver resolver)` Defines the persistence provider resolver used.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersistenceProviderResolverHolder

    public PersistenceProviderResolverHolder()

### Method Detail

#### getPersistenceProviderResolver

    public static PersistenceProviderResolver getPersistenceProviderResolver()

Returns the current persistence provider resolver.

Returns:
  the current persistence provider resolver

#### setPersistenceProviderResolver

    public static void setPersistenceProviderResolver(PersistenceProviderResolver resolver)

Defines the persistence provider resolver used.

Parameters:
  `resolver` - persistence provider resolver to be used.